> ## Documentation Index
> Fetch the complete documentation index at: https://portal.itscovered.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Loan Application

> Get a loan application by ID

*This endpoint is **rate limited**. See [Rate Limits](/api-reference/rate_limits) for more details.*


## OpenAPI

````yaml get /v1/loans/{id}
openapi: 3.1.0
info:
  description: Development documentation
  title: Lenders API
  version: 1.4.0
servers:
  - url: https://sandbox-api.itscovered.com/lenders
security: []
tags:
  - description: Health check
    name: health
  - description: Loans
    name: loans
  - description: Policies
    name: policies
  - description: Authentication
    name: auth
paths:
  /v1/loans/{id}:
    get:
      tags:
        - loans
      summary: Get Loan Application
      description: Get a loan application by ID
      operationId: getV1LoansById
      parameters:
        - description: The unique identifier of the loan application
          in: path
          name: id
          required: true
          schema:
            example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  borrowers:
                    items:
                      allOf:
                        - description: The borrower details
                          properties:
                            currentAddress:
                              description: The address details
                              properties:
                                city:
                                  description: The city of the address
                                  example: San Francisco
                                  type: string
                                county:
                                  anyOf:
                                    - type: 'null'
                                    - description: The county of the address
                                      example: San Francisco
                                      type: string
                                state:
                                  description: The state of the address
                                  example: CA
                                  type: string
                                street:
                                  description: The street address
                                  example: 123 Main St
                                  type: string
                                street2:
                                  anyOf:
                                    - type: 'null'
                                    - description: The second line of the address
                                      example: Apt 123
                                      type: string
                                zip:
                                  description: The zip code of the address
                                  example: '94101'
                                  type: string
                              required:
                                - street
                                - city
                                - state
                                - zip
                              title: Address
                              type: object
                            dob:
                              description: The date of birth of the borrower
                              example: '1990-01-01'
                              format: date
                              type: string
                            email:
                              anyOf:
                                - type: 'null'
                                - description: >-
                                    Required for primary borrower, optional for
                                    co-borrowers
                                  example: john.doe@example.com
                                  type: string
                            firstName:
                              description: The first name of the borrower
                              example: John
                              type: string
                            formerAddress:
                              anyOf:
                                - type: 'null'
                                - description: The address details
                                  properties:
                                    city:
                                      description: The city of the address
                                      example: San Francisco
                                      type: string
                                    county:
                                      anyOf:
                                        - type: 'null'
                                        - description: The county of the address
                                          example: San Francisco
                                          type: string
                                    state:
                                      description: The state of the address
                                      example: CA
                                      type: string
                                    street:
                                      description: The street address
                                      example: 123 Main St
                                      type: string
                                    street2:
                                      anyOf:
                                        - type: 'null'
                                        - description: The second line of the address
                                          example: Apt 123
                                          type: string
                                    zip:
                                      description: The zip code of the address
                                      example: '94101'
                                      type: string
                                  required:
                                    - street
                                    - city
                                    - state
                                    - zip
                                  title: Address
                                  type: object
                            gender:
                              description: The gender of the borrower
                              enum:
                                - FEMALE
                                - MALE
                                - NOT_SPECIFIED
                              example: MALE
                              type: string
                            isPrimary:
                              description: Whether the borrower is the primary borrower
                              example: true
                              type: boolean
                            lastName:
                              description: The last name of the borrower
                              example: Doe
                              type: string
                            mailingAddress:
                              anyOf:
                                - type: 'null'
                                - description: The address details
                                  properties:
                                    city:
                                      description: The city of the address
                                      example: San Francisco
                                      type: string
                                    county:
                                      anyOf:
                                        - type: 'null'
                                        - description: The county of the address
                                          example: San Francisco
                                          type: string
                                    state:
                                      description: The state of the address
                                      example: CA
                                      type: string
                                    street:
                                      description: The street address
                                      example: 123 Main St
                                      type: string
                                    street2:
                                      anyOf:
                                        - type: 'null'
                                        - description: The second line of the address
                                          example: Apt 123
                                          type: string
                                    zip:
                                      description: The zip code of the address
                                      example: '94101'
                                      type: string
                                  required:
                                    - street
                                    - city
                                    - state
                                    - zip
                                  title: Address
                                  type: object
                            maritalStatus:
                              description: The marital status of the borrower
                              enum:
                                - MARRIED
                                - NOT_PROVIDED
                                - SEPARATED
                                - SINGLE
                                - DIVORCED
                                - WIDOWED
                                - DOMESTIC_PARTNER
                              example: SINGLE
                              type: string
                          required:
                            - firstName
                            - lastName
                            - isPrimary
                            - currentAddress
                          type: object
                        - anyOf:
                            - properties:
                                email:
                                  description: The email address of the primary borrower
                                  example: john.doe@example.com
                                  type: string
                                isPrimary:
                                  const: true
                                  description: Whether the borrower is the primary borrower
                                  examples:
                                    - true
                                  type: boolean
                                phone:
                                  description: The phone number of the primary borrower
                                  example: '1234567890'
                                  type: string
                              required:
                                - isPrimary
                                - email
                                - phone
                              title: PrimaryBorrower
                              type: object
                            - properties:
                                email:
                                  anyOf:
                                    - type: 'null'
                                    - description: The email address of the co-borrower
                                      example: jane.doe@example.com
                                      type: string
                                isPrimary:
                                  const: false
                                  description: False for co-borrowers
                                  examples:
                                    - false
                                  type: boolean
                                phone:
                                  anyOf:
                                    - type: 'null'
                                    - description: The phone number of the co-borrower
                                      example: '1234567890'
                                      type: string
                              required:
                                - isPrimary
                              title: CoBorrower
                              type: object
                    type: array
                  closingDate:
                    anyOf:
                      - type: 'null'
                      - description: The closing date of the loan (ISO string)
                        example: '2025-01-01T00:00:00.000Z'
                        format: date
                        type: string
                  contactPageUrl:
                    anyOf:
                      - type: 'null'
                      - description: URL for the contact page for this loan application
                        example: >-
                          https://getquote.itscovered.com/contact/0f1a6ab7-2b4b-4d4d-aa9b-47086e80794d
                        format: uri
                        type: string
                  currentInsurancePolicies:
                    items:
                      properties:
                        carrier:
                          anyOf:
                            - description: The name of the current insurance carrier
                              type: string
                            - type: 'null'
                        coverages:
                          properties:
                            a:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            b:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            c:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            computers:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            d:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            e:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            f:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            hvac:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            mineSubsidence:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            waterBackup:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                          type: object
                        deductible:
                          anyOf:
                            - description: The deductible of the current insurance policy
                              type: number
                            - type: 'null'
                        expirationDate:
                          anyOf:
                            - description: >-
                                The expiration date of the current insurance
                                policy
                              type: string
                            - type: 'null'
                        policyNumber:
                          anyOf:
                            - description: >-
                                The policy number of the current insurance
                                policy
                              type: string
                            - type: 'null'
                        policyType:
                          anyOf:
                            - description: The type of policy
                              enum:
                                - HO3
                                - HO5
                                - HO6
                              example: HO3
                            - type: 'null'
                        premium:
                          anyOf:
                            - description: >-
                                The annual premium of the current insurance
                                policy
                              type: number
                            - type: 'null'
                      type: object
                    type: array
                  externalId:
                    description: >-
                      An external identifier passed in when the loan application
                      was created. Defaults to loanNumber
                    example: '1234567890'
                    type: string
                  hostedDisplayUrl:
                    default: ''
                    description: The URL to display the loan application shop
                    example: >-
                      https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    format: uri
                    type: string
                  id:
                    description: Loan application ID
                    example: 0f1a6ab7-2b4b-4d4d-aa9b-47086e80794d
                    type: string
                  loanAmount:
                    anyOf:
                      - type: 'null'
                      - description: The loan amount
                        example: 100000
                        type: number
                  loanNumber:
                    description: The loan number
                    example: '1234567890'
                    type: string
                  loanOfficer:
                    anyOf:
                      - type: 'null'
                      - description: The loan contact information
                        properties:
                          email:
                            description: The email of the loan officer
                            example: john.doe@example.com
                            type: string
                          firstName:
                            description: The first name of the loan officer
                            example: John
                            type: string
                          lastName:
                            description: The last name of the loan officer
                            example: Doe
                            type: string
                          phone:
                            description: The phone number of the loan officer
                            example: '1234567890'
                            type: string
                        required:
                          - firstName
                          - lastName
                          - email
                          - phone
                        type: object
                  loanPurpose:
                    anyOf:
                      - type: 'null'
                      - description: The purpose of the loan
                        enum:
                          - PURCHASE
                          - REFINANCE
                          - CONSTRUCTION
                          - CONSTRUCTION PERM
                          - MORTGAGE MODIFICATION
                          - LAND_LOT
                          - OTHER
                        example: PURCHASE
                        type: string
                  loanType:
                    anyOf:
                      - type: 'null'
                      - description: The type of the loan
                        enum:
                          - MORTGAGE
                          - HELOC
                          - HELOAN
                          - UNKNOWN_LOAN_TYPE
                        example: MORTGAGE
                        type: string
                  property:
                    description: The property details
                    properties:
                      address:
                        description: The address details
                        properties:
                          city:
                            description: The city of the address
                            example: San Francisco
                            type: string
                          county:
                            anyOf:
                              - type: 'null'
                              - description: The county of the address
                                example: San Francisco
                                type: string
                          state:
                            description: The state of the address
                            example: CA
                            type: string
                          street:
                            description: The street address
                            example: 123 Main St
                            type: string
                          street2:
                            anyOf:
                              - type: 'null'
                              - description: The second line of the address
                                example: Apt 123
                                type: string
                          zip:
                            description: The zip code of the address
                            example: '94101'
                            type: string
                        required:
                          - street
                          - city
                          - state
                          - zip
                        title: Address
                        type: object
                    required:
                      - address
                    title: Property
                    type: object
                  shortHostedDisplayUrl:
                    anyOf:
                      - type: 'null'
                      - description: >-
                          Short URL for the hosted borrower quote experience,
                          when available
                        example: https://cvd.io/abc123
                        format: uri
                        type: string
                  status:
                    description: The status of the loan application shop
                    enum:
                      - NOT_YET_RATED
                      - RC1_RATING
                      - RC1_RATED
                      - RC2_RATING
                      - RC2_RATED
                      - RC1_ERRORED
                      - CLOSED_WON
                      - CLOSED_LOST
                    example: RC1_RATING
                    type: string
                required:
                  - loanNumber
                  - borrowers
                  - id
                  - property
                  - status
                  - hostedDisplayUrl
                  - currentInsurancePolicies
                type: object
            multipart/form-data:
              schema:
                properties:
                  borrowers:
                    items:
                      allOf:
                        - description: The borrower details
                          properties:
                            currentAddress:
                              description: The address details
                              properties:
                                city:
                                  description: The city of the address
                                  example: San Francisco
                                  type: string
                                county:
                                  anyOf:
                                    - type: 'null'
                                    - description: The county of the address
                                      example: San Francisco
                                      type: string
                                state:
                                  description: The state of the address
                                  example: CA
                                  type: string
                                street:
                                  description: The street address
                                  example: 123 Main St
                                  type: string
                                street2:
                                  anyOf:
                                    - type: 'null'
                                    - description: The second line of the address
                                      example: Apt 123
                                      type: string
                                zip:
                                  description: The zip code of the address
                                  example: '94101'
                                  type: string
                              required:
                                - street
                                - city
                                - state
                                - zip
                              title: Address
                              type: object
                            dob:
                              description: The date of birth of the borrower
                              example: '1990-01-01'
                              format: date
                              type: string
                            email:
                              anyOf:
                                - type: 'null'
                                - description: >-
                                    Required for primary borrower, optional for
                                    co-borrowers
                                  example: john.doe@example.com
                                  type: string
                            firstName:
                              description: The first name of the borrower
                              example: John
                              type: string
                            formerAddress:
                              anyOf:
                                - type: 'null'
                                - description: The address details
                                  properties:
                                    city:
                                      description: The city of the address
                                      example: San Francisco
                                      type: string
                                    county:
                                      anyOf:
                                        - type: 'null'
                                        - description: The county of the address
                                          example: San Francisco
                                          type: string
                                    state:
                                      description: The state of the address
                                      example: CA
                                      type: string
                                    street:
                                      description: The street address
                                      example: 123 Main St
                                      type: string
                                    street2:
                                      anyOf:
                                        - type: 'null'
                                        - description: The second line of the address
                                          example: Apt 123
                                          type: string
                                    zip:
                                      description: The zip code of the address
                                      example: '94101'
                                      type: string
                                  required:
                                    - street
                                    - city
                                    - state
                                    - zip
                                  title: Address
                                  type: object
                            gender:
                              description: The gender of the borrower
                              enum:
                                - FEMALE
                                - MALE
                                - NOT_SPECIFIED
                              example: MALE
                              type: string
                            isPrimary:
                              description: Whether the borrower is the primary borrower
                              example: true
                              type: boolean
                            lastName:
                              description: The last name of the borrower
                              example: Doe
                              type: string
                            mailingAddress:
                              anyOf:
                                - type: 'null'
                                - description: The address details
                                  properties:
                                    city:
                                      description: The city of the address
                                      example: San Francisco
                                      type: string
                                    county:
                                      anyOf:
                                        - type: 'null'
                                        - description: The county of the address
                                          example: San Francisco
                                          type: string
                                    state:
                                      description: The state of the address
                                      example: CA
                                      type: string
                                    street:
                                      description: The street address
                                      example: 123 Main St
                                      type: string
                                    street2:
                                      anyOf:
                                        - type: 'null'
                                        - description: The second line of the address
                                          example: Apt 123
                                          type: string
                                    zip:
                                      description: The zip code of the address
                                      example: '94101'
                                      type: string
                                  required:
                                    - street
                                    - city
                                    - state
                                    - zip
                                  title: Address
                                  type: object
                            maritalStatus:
                              description: The marital status of the borrower
                              enum:
                                - MARRIED
                                - NOT_PROVIDED
                                - SEPARATED
                                - SINGLE
                                - DIVORCED
                                - WIDOWED
                                - DOMESTIC_PARTNER
                              example: SINGLE
                              type: string
                          required:
                            - firstName
                            - lastName
                            - isPrimary
                            - currentAddress
                          type: object
                        - anyOf:
                            - properties:
                                email:
                                  description: The email address of the primary borrower
                                  example: john.doe@example.com
                                  type: string
                                isPrimary:
                                  const: true
                                  description: Whether the borrower is the primary borrower
                                  examples:
                                    - true
                                  type: boolean
                                phone:
                                  description: The phone number of the primary borrower
                                  example: '1234567890'
                                  type: string
                              required:
                                - isPrimary
                                - email
                                - phone
                              title: PrimaryBorrower
                              type: object
                            - properties:
                                email:
                                  anyOf:
                                    - type: 'null'
                                    - description: The email address of the co-borrower
                                      example: jane.doe@example.com
                                      type: string
                                isPrimary:
                                  const: false
                                  description: False for co-borrowers
                                  examples:
                                    - false
                                  type: boolean
                                phone:
                                  anyOf:
                                    - type: 'null'
                                    - description: The phone number of the co-borrower
                                      example: '1234567890'
                                      type: string
                              required:
                                - isPrimary
                              title: CoBorrower
                              type: object
                    type: array
                  closingDate:
                    anyOf:
                      - type: 'null'
                      - description: The closing date of the loan (ISO string)
                        example: '2025-01-01T00:00:00.000Z'
                        format: date
                        type: string
                  contactPageUrl:
                    anyOf:
                      - type: 'null'
                      - description: URL for the contact page for this loan application
                        example: >-
                          https://getquote.itscovered.com/contact/0f1a6ab7-2b4b-4d4d-aa9b-47086e80794d
                        format: uri
                        type: string
                  currentInsurancePolicies:
                    items:
                      properties:
                        carrier:
                          anyOf:
                            - description: The name of the current insurance carrier
                              type: string
                            - type: 'null'
                        coverages:
                          properties:
                            a:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            b:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            c:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            computers:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            d:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            e:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            f:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            hvac:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            mineSubsidence:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            waterBackup:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                          type: object
                        deductible:
                          anyOf:
                            - description: The deductible of the current insurance policy
                              type: number
                            - type: 'null'
                        expirationDate:
                          anyOf:
                            - description: >-
                                The expiration date of the current insurance
                                policy
                              type: string
                            - type: 'null'
                        policyNumber:
                          anyOf:
                            - description: >-
                                The policy number of the current insurance
                                policy
                              type: string
                            - type: 'null'
                        policyType:
                          anyOf:
                            - description: The type of policy
                              enum:
                                - HO3
                                - HO5
                                - HO6
                              example: HO3
                            - type: 'null'
                        premium:
                          anyOf:
                            - description: >-
                                The annual premium of the current insurance
                                policy
                              type: number
                            - type: 'null'
                      type: object
                    type: array
                  externalId:
                    description: >-
                      An external identifier passed in when the loan application
                      was created. Defaults to loanNumber
                    example: '1234567890'
                    type: string
                  hostedDisplayUrl:
                    default: ''
                    description: The URL to display the loan application shop
                    example: >-
                      https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    format: uri
                    type: string
                  id:
                    description: Loan application ID
                    example: 0f1a6ab7-2b4b-4d4d-aa9b-47086e80794d
                    type: string
                  loanAmount:
                    anyOf:
                      - type: 'null'
                      - description: The loan amount
                        example: 100000
                        type: number
                  loanNumber:
                    description: The loan number
                    example: '1234567890'
                    type: string
                  loanOfficer:
                    anyOf:
                      - type: 'null'
                      - description: The loan contact information
                        properties:
                          email:
                            description: The email of the loan officer
                            example: john.doe@example.com
                            type: string
                          firstName:
                            description: The first name of the loan officer
                            example: John
                            type: string
                          lastName:
                            description: The last name of the loan officer
                            example: Doe
                            type: string
                          phone:
                            description: The phone number of the loan officer
                            example: '1234567890'
                            type: string
                        required:
                          - firstName
                          - lastName
                          - email
                          - phone
                        type: object
                  loanPurpose:
                    anyOf:
                      - type: 'null'
                      - description: The purpose of the loan
                        enum:
                          - PURCHASE
                          - REFINANCE
                          - CONSTRUCTION
                          - CONSTRUCTION PERM
                          - MORTGAGE MODIFICATION
                          - LAND_LOT
                          - OTHER
                        example: PURCHASE
                        type: string
                  loanType:
                    anyOf:
                      - type: 'null'
                      - description: The type of the loan
                        enum:
                          - MORTGAGE
                          - HELOC
                          - HELOAN
                          - UNKNOWN_LOAN_TYPE
                        example: MORTGAGE
                        type: string
                  property:
                    description: The property details
                    properties:
                      address:
                        description: The address details
                        properties:
                          city:
                            description: The city of the address
                            example: San Francisco
                            type: string
                          county:
                            anyOf:
                              - type: 'null'
                              - description: The county of the address
                                example: San Francisco
                                type: string
                          state:
                            description: The state of the address
                            example: CA
                            type: string
                          street:
                            description: The street address
                            example: 123 Main St
                            type: string
                          street2:
                            anyOf:
                              - type: 'null'
                              - description: The second line of the address
                                example: Apt 123
                                type: string
                          zip:
                            description: The zip code of the address
                            example: '94101'
                            type: string
                        required:
                          - street
                          - city
                          - state
                          - zip
                        title: Address
                        type: object
                    required:
                      - address
                    title: Property
                    type: object
                  shortHostedDisplayUrl:
                    anyOf:
                      - type: 'null'
                      - description: >-
                          Short URL for the hosted borrower quote experience,
                          when available
                        example: https://cvd.io/abc123
                        format: uri
                        type: string
                  status:
                    description: The status of the loan application shop
                    enum:
                      - NOT_YET_RATED
                      - RC1_RATING
                      - RC1_RATED
                      - RC2_RATING
                      - RC2_RATED
                      - RC1_ERRORED
                      - CLOSED_WON
                      - CLOSED_LOST
                    example: RC1_RATING
                    type: string
                required:
                  - loanNumber
                  - borrowers
                  - id
                  - property
                  - status
                  - hostedDisplayUrl
                  - currentInsurancePolicies
                type: object
            text/plain:
              schema:
                properties:
                  borrowers:
                    items:
                      allOf:
                        - description: The borrower details
                          properties:
                            currentAddress:
                              description: The address details
                              properties:
                                city:
                                  description: The city of the address
                                  example: San Francisco
                                  type: string
                                county:
                                  anyOf:
                                    - type: 'null'
                                    - description: The county of the address
                                      example: San Francisco
                                      type: string
                                state:
                                  description: The state of the address
                                  example: CA
                                  type: string
                                street:
                                  description: The street address
                                  example: 123 Main St
                                  type: string
                                street2:
                                  anyOf:
                                    - type: 'null'
                                    - description: The second line of the address
                                      example: Apt 123
                                      type: string
                                zip:
                                  description: The zip code of the address
                                  example: '94101'
                                  type: string
                              required:
                                - street
                                - city
                                - state
                                - zip
                              title: Address
                              type: object
                            dob:
                              description: The date of birth of the borrower
                              example: '1990-01-01'
                              format: date
                              type: string
                            email:
                              anyOf:
                                - type: 'null'
                                - description: >-
                                    Required for primary borrower, optional for
                                    co-borrowers
                                  example: john.doe@example.com
                                  type: string
                            firstName:
                              description: The first name of the borrower
                              example: John
                              type: string
                            formerAddress:
                              anyOf:
                                - type: 'null'
                                - description: The address details
                                  properties:
                                    city:
                                      description: The city of the address
                                      example: San Francisco
                                      type: string
                                    county:
                                      anyOf:
                                        - type: 'null'
                                        - description: The county of the address
                                          example: San Francisco
                                          type: string
                                    state:
                                      description: The state of the address
                                      example: CA
                                      type: string
                                    street:
                                      description: The street address
                                      example: 123 Main St
                                      type: string
                                    street2:
                                      anyOf:
                                        - type: 'null'
                                        - description: The second line of the address
                                          example: Apt 123
                                          type: string
                                    zip:
                                      description: The zip code of the address
                                      example: '94101'
                                      type: string
                                  required:
                                    - street
                                    - city
                                    - state
                                    - zip
                                  title: Address
                                  type: object
                            gender:
                              description: The gender of the borrower
                              enum:
                                - FEMALE
                                - MALE
                                - NOT_SPECIFIED
                              example: MALE
                              type: string
                            isPrimary:
                              description: Whether the borrower is the primary borrower
                              example: true
                              type: boolean
                            lastName:
                              description: The last name of the borrower
                              example: Doe
                              type: string
                            mailingAddress:
                              anyOf:
                                - type: 'null'
                                - description: The address details
                                  properties:
                                    city:
                                      description: The city of the address
                                      example: San Francisco
                                      type: string
                                    county:
                                      anyOf:
                                        - type: 'null'
                                        - description: The county of the address
                                          example: San Francisco
                                          type: string
                                    state:
                                      description: The state of the address
                                      example: CA
                                      type: string
                                    street:
                                      description: The street address
                                      example: 123 Main St
                                      type: string
                                    street2:
                                      anyOf:
                                        - type: 'null'
                                        - description: The second line of the address
                                          example: Apt 123
                                          type: string
                                    zip:
                                      description: The zip code of the address
                                      example: '94101'
                                      type: string
                                  required:
                                    - street
                                    - city
                                    - state
                                    - zip
                                  title: Address
                                  type: object
                            maritalStatus:
                              description: The marital status of the borrower
                              enum:
                                - MARRIED
                                - NOT_PROVIDED
                                - SEPARATED
                                - SINGLE
                                - DIVORCED
                                - WIDOWED
                                - DOMESTIC_PARTNER
                              example: SINGLE
                              type: string
                          required:
                            - firstName
                            - lastName
                            - isPrimary
                            - currentAddress
                          type: object
                        - anyOf:
                            - properties:
                                email:
                                  description: The email address of the primary borrower
                                  example: john.doe@example.com
                                  type: string
                                isPrimary:
                                  const: true
                                  description: Whether the borrower is the primary borrower
                                  examples:
                                    - true
                                  type: boolean
                                phone:
                                  description: The phone number of the primary borrower
                                  example: '1234567890'
                                  type: string
                              required:
                                - isPrimary
                                - email
                                - phone
                              title: PrimaryBorrower
                              type: object
                            - properties:
                                email:
                                  anyOf:
                                    - type: 'null'
                                    - description: The email address of the co-borrower
                                      example: jane.doe@example.com
                                      type: string
                                isPrimary:
                                  const: false
                                  description: False for co-borrowers
                                  examples:
                                    - false
                                  type: boolean
                                phone:
                                  anyOf:
                                    - type: 'null'
                                    - description: The phone number of the co-borrower
                                      example: '1234567890'
                                      type: string
                              required:
                                - isPrimary
                              title: CoBorrower
                              type: object
                    type: array
                  closingDate:
                    anyOf:
                      - type: 'null'
                      - description: The closing date of the loan (ISO string)
                        example: '2025-01-01T00:00:00.000Z'
                        format: date
                        type: string
                  contactPageUrl:
                    anyOf:
                      - type: 'null'
                      - description: URL for the contact page for this loan application
                        example: >-
                          https://getquote.itscovered.com/contact/0f1a6ab7-2b4b-4d4d-aa9b-47086e80794d
                        format: uri
                        type: string
                  currentInsurancePolicies:
                    items:
                      properties:
                        carrier:
                          anyOf:
                            - description: The name of the current insurance carrier
                              type: string
                            - type: 'null'
                        coverages:
                          properties:
                            a:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            b:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            c:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            computers:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            d:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            e:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            f:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            hvac:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            mineSubsidence:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            waterBackup:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                          type: object
                        deductible:
                          anyOf:
                            - description: The deductible of the current insurance policy
                              type: number
                            - type: 'null'
                        expirationDate:
                          anyOf:
                            - description: >-
                                The expiration date of the current insurance
                                policy
                              type: string
                            - type: 'null'
                        policyNumber:
                          anyOf:
                            - description: >-
                                The policy number of the current insurance
                                policy
                              type: string
                            - type: 'null'
                        policyType:
                          anyOf:
                            - description: The type of policy
                              enum:
                                - HO3
                                - HO5
                                - HO6
                              example: HO3
                            - type: 'null'
                        premium:
                          anyOf:
                            - description: >-
                                The annual premium of the current insurance
                                policy
                              type: number
                            - type: 'null'
                      type: object
                    type: array
                  externalId:
                    description: >-
                      An external identifier passed in when the loan application
                      was created. Defaults to loanNumber
                    example: '1234567890'
                    type: string
                  hostedDisplayUrl:
                    default: ''
                    description: The URL to display the loan application shop
                    example: >-
                      https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    format: uri
                    type: string
                  id:
                    description: Loan application ID
                    example: 0f1a6ab7-2b4b-4d4d-aa9b-47086e80794d
                    type: string
                  loanAmount:
                    anyOf:
                      - type: 'null'
                      - description: The loan amount
                        example: 100000
                        type: number
                  loanNumber:
                    description: The loan number
                    example: '1234567890'
                    type: string
                  loanOfficer:
                    anyOf:
                      - type: 'null'
                      - description: The loan contact information
                        properties:
                          email:
                            description: The email of the loan officer
                            example: john.doe@example.com
                            type: string
                          firstName:
                            description: The first name of the loan officer
                            example: John
                            type: string
                          lastName:
                            description: The last name of the loan officer
                            example: Doe
                            type: string
                          phone:
                            description: The phone number of the loan officer
                            example: '1234567890'
                            type: string
                        required:
                          - firstName
                          - lastName
                          - email
                          - phone
                        type: object
                  loanPurpose:
                    anyOf:
                      - type: 'null'
                      - description: The purpose of the loan
                        enum:
                          - PURCHASE
                          - REFINANCE
                          - CONSTRUCTION
                          - CONSTRUCTION PERM
                          - MORTGAGE MODIFICATION
                          - LAND_LOT
                          - OTHER
                        example: PURCHASE
                        type: string
                  loanType:
                    anyOf:
                      - type: 'null'
                      - description: The type of the loan
                        enum:
                          - MORTGAGE
                          - HELOC
                          - HELOAN
                          - UNKNOWN_LOAN_TYPE
                        example: MORTGAGE
                        type: string
                  property:
                    description: The property details
                    properties:
                      address:
                        description: The address details
                        properties:
                          city:
                            description: The city of the address
                            example: San Francisco
                            type: string
                          county:
                            anyOf:
                              - type: 'null'
                              - description: The county of the address
                                example: San Francisco
                                type: string
                          state:
                            description: The state of the address
                            example: CA
                            type: string
                          street:
                            description: The street address
                            example: 123 Main St
                            type: string
                          street2:
                            anyOf:
                              - type: 'null'
                              - description: The second line of the address
                                example: Apt 123
                                type: string
                          zip:
                            description: The zip code of the address
                            example: '94101'
                            type: string
                        required:
                          - street
                          - city
                          - state
                          - zip
                        title: Address
                        type: object
                    required:
                      - address
                    title: Property
                    type: object
                  shortHostedDisplayUrl:
                    anyOf:
                      - type: 'null'
                      - description: >-
                          Short URL for the hosted borrower quote experience,
                          when available
                        example: https://cvd.io/abc123
                        format: uri
                        type: string
                  status:
                    description: The status of the loan application shop
                    enum:
                      - NOT_YET_RATED
                      - RC1_RATING
                      - RC1_RATED
                      - RC2_RATING
                      - RC2_RATED
                      - RC1_ERRORED
                      - CLOSED_WON
                      - CLOSED_LOST
                    example: RC1_RATING
                    type: string
                required:
                  - loanNumber
                  - borrowers
                  - id
                  - property
                  - status
                  - hostedDisplayUrl
                  - currentInsurancePolicies
                type: object
          description: The response to getting a loan application
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Token
      scheme: bearer
      type: http

````